%global momorel 2

%define realname pyblock
%define pyver %(%{__python} -c "import sys; print sys.version[:3]")
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)[1:]")}

Summary: Python modules for dealing with block devices
Name: python-%{realname}
Version: 0.27
Release: %{momorel}m%{?dist}
Source0: %{realname}-%{version}.tar.bz2
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python-devel, gettext, device-mapper >= 1.01.05-3
BuildRequires: dmraid-devel >= 1.0.0.rc14, libselinux-devel, libsepol-devel
Requires: python >= %{pyver}, device-mapper >= 1.01.04, libselinux
Requires: libbdevid-python
Requires: dmraid >= 1.0.0.rc14

excludearch: s390 s390x

%description
The pyblock contains Python modules for dealing with block devices.

%prep
%setup -q -n %{realname}-%{version}

make

%build

%install
rm -rf %{buildroot}
make DESTDIR=${RPM_BUILD_ROOT} SITELIB=%{python_sitelib} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /%{python_sitelib}/block
/%{python_sitelib}/block/*

%changelog
* Fri May 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.27-2m)
- add Requires: dmraid >= 1.0.0.rc14 for upgrading from STABLE_3

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.27-1m)
- update 0.27

* Mon Jan 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.24-2m)
- down grade 0.24
- add python-2.5 patch

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.27-1m)
- update 0.27

* Mon Oct 16 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.24-1m)
- update 0.24

* Mon May  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.15-1m)
- import from FC-devel

* Wed Feb 22 2006 Peter Jones <pjones@redhat.com> - 0.15-1
- Fix use of devices in /tmp to avoid duplicates. (fixes console spew during
  install)

* Mon Feb 13 2006 Peter Jones <pjones@redhat.com> - 0.14-1
- remove member partitions when we activate, rebuild them when we deactivate
- add another "count_devices(ctx->lc, NATIVE)" in discover_raiddevs.  it
  seems to help...

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.13-1.1
- bump again for double-long bug on ppc(64)

* Mon Feb  6 2006 Peter Jones <pjones@redhat.com> - 0.13-1
- partition naming/creation/detection fixes
- fixes for isw (ICH[4567]R) "groups"

* Tue Jan 31 2006 Peter Jones <pjones@redhat.com> - 0.12-1
- split __init__.py into separate files according to function
- disable "nosync" hack for now
- fix a refcounting bug in pydmraid_raidset_get_dm_table()
- add block.RaidDev.__cmp__()
- fix some type errors gcc can't check for when using pyblock_potoll
- be a little pickier about types for mode, devices, and sizes.
- add make rules for debugging
- fix "_init__" typo
- always use local import paths, and be much more strict about namespaces
- always make a new dm.device in BlockDev.From*()
- better defaults in BlockDev.create()
- add setter for block.dmraid.raidset.name, and rework RaidSet.set_name()
- rework RaidDev.get_bdev()
- rework "prefix" for RaidSet and RaidDev
- add getter for block.dmraid.raidset.map
- change arg order on block.dm.map.__init__() since there's no way to pass
  keyword args through the "abstract" interface.
- use self.name not self.rs.name in the RaidSet, and make changing the name
  work.
- make pydm_map_compare() compare names _last_, so we can compare a map
  that's been renamed with its earlier instantiations correctly.
- mark a device as degraded if there's any descrepancy at all between
  the number of members we find vs what we expect

* Thu Jan  5 2006 Peter Jones <pjones@redhat.com> - 0.11-1
- never trust dmraid on sync vs nosync; right now, always transform the
  table to "default" (no argument), which is to sync only when necessary,
  whatever that means.  Seems to lock up less often.
    
* Wed Jan  4 2006 Peter Jones <pjones@redhat.com> - 0.10-1
- fix checking for "degraded" raids

* Mon Dec 19 2005 Peter Jones <pjones@redhat.com> - 0.9-1
- fix some backwards isinstance() calls that cause RaidSet.get_valid()
  to fail

* Thu Dec 15 2005 Peter Jones <pjones@redhat.com> - 0.8-1
- prevent getRaidSets() from returning devices with missing members
- add "make flat_install" to make installing in RHupdates easier ;)

* Sun Dec 11 2005 Peter Jones <pjones@redhat.com> - 0.7-1
- merge debugging work from last several weeks

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.6-3.1
- rebuilt

* Sun Dec  4 2005 Peter Jones <pjones@redhat.com> - 0.6-3
- rebuild for newer libs

* Thu Nov 17 2005 Peter Jones <pjones@redhat.com> - 0.6-2
- temporarily mask exceptions

* Thu Nov 17 2005 Peter Jones <pjones@redhat.com> - 0.6-1
- fix RaidSets/getRaidSets

* Wed Nov 16 2005 Peter Jones <pjones@redhat.com> - 0.5-2
- rebuild for newer libdevmapper.a

* Fri Nov 11 2005 Peter Jones <pjones@redhat.com> - 0.5-1
- make it possible to easily build dm maps from dmraid tables
- support for partition table scanning

* Thu Nov 10 2005 Peter Jones <pjones@redhat.com> - 0.4-1
- minor fixups before adding to the distro

* Wed Nov  9 2005 Peter Jones <pjones@redhat.com> - 0.3-1
- make dmraid probing much simpler

* Thu Sep 22 2005 Peter Jones <pjones@redhat.com> - 0.2-2
- flush out dmraid mappings, add a lot of wrapper code in the toplevel

* Tue Sep 13 2005 Peter Jones <pjones@redhat.com> - 0.2-1
- add deps on libdevmapper and libdmraid

* Fri Sep  9 2005 Peter Jones <pjones@redhat.com> - 0.1-1
- initial package
